MsWrdTextStylesInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MsWrdTextStylesInternal::State Struct Reference

Internal: the state of a MsWrdTextStylesInternal. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
MWAWFont | m_defaultFont
| the default font ( NewYork 12pt) More...
std::map< int, int > | m_nextStyleMap
| a map styleId to next styleId More...
std::vector< MsWrdStruct::Font > | m_fontList
| the list of fonts More...
std::vector< MsWrdStruct::Paragraph > | m_paragraphList
| the list of paragraph More...
std::vector< MsWrdStruct::Section > | m_sectionList
| the list of section More...
std::vector< MsWrdStruct::Paragraph > | m_textstructParagraphList
| the list of paragraph in textstruct More...
std::map< int, MsWrdStruct::Font > | m_styleFontMap
| the list of fonts in style More...
std::map< int, MsWrdStruct::Paragraph > | m_styleParagraphMap
| the list of paragraph in style More...

## Detailed Description

Internal: the state of a MsWrdTextStylesInternal.

## Constructor & Destructor Documentation

## § State()

MsWrdTextStylesInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## § m_defaultFont

MWAWFont MsWrdTextStylesInternal::State::m_defaultFont

the default font ( NewYork 12pt)

## § m_fontList

std::vector<MsWrdStruct::Font> MsWrdTextStylesInternal::State::m_fontList

the list of fonts

## § m_nextStyleMap

std::map<int,int> MsWrdTextStylesInternal::State::m_nextStyleMap

a map styleId to next styleId

## § m_paragraphList

std::vector<MsWrdStruct::Paragraph> MsWrdTextStylesInternal::State::m_paragraphList

the list of paragraph

## § m_sectionList

std::vector<MsWrdStruct::Section> MsWrdTextStylesInternal::State::m_sectionList

the list of section

## § m_styleFontMap

std::map<int, MsWrdStruct::Font> MsWrdTextStylesInternal::State::m_styleFontMap

the list of fonts in style

## § m_styleParagraphMap

std::map<int, MsWrdStruct::Paragraph> MsWrdTextStylesInternal::State::m_styleParagraphMap

the list of paragraph in style

## § m_textstructParagraphList

std::vector<MsWrdStruct::Paragraph> MsWrdTextStylesInternal::State::m_textstructParagraphList

the list of paragraph in textstruct

## § m_version

int MsWrdTextStylesInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MsWrdTextStyles.cxx